Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
    • Non-Project Work Items
    • Contributor Work Associations
    • Contributions
    Cloud
    Capacity Planning / Reference / REST API

    Contributor Work Associations

    OpenAPI
    POST

    Create contributor work associationsPreview

    Creates associations between contributors and work items. If an association already exists between the specified contributor and work item, it is returned unchanged.

    Forge and OAuth2 apps cannot access this REST resource.

    Request

    Request bodyapplication/json

    associations

    array<ContributorWorkPairDto>

    Required

    Responses

    OK

    application/json

    CreateContributorWorkAssociationsResponse

    Response containing the created contributor work associations

    POST/contributor-work-associations
    1 2 3 4 5 6 7 8 9 10 11 12 curl --request POST \ --url 'https://api.atlassian.com/ex/capacity-planning/{cloudId}/v1/contributor-work-associations' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "associations": [ { "contributorDataId": "ari:cloud:identity::user/12345", "workDataId": "ari:cloud:jira:cloud-id:issue/10001" } ] }'
    200Response
    1 2 3 4 5 6 7 8 9 10 { "associations": [ { "contributorDataId": "ari:cloud:identity::user/12345", "createdAt": "<string>", "updatedAt": "<string>", "workDataId": "ari:cloud:jira:cloud-id:issue/10001" } ] }
    GET

    Get work associations for a contributorPreview

    Retrieves work items associated with a specific contributor, with cursor-based pagination. Use first/after for forward pagination or last/before for backward pagination.

    Forge and OAuth2 apps cannot access this REST resource.

    Request

    Query parameters

    contributorDataId

    string

    Required
    first

    integer

    after

    string

    last

    integer

    before

    string

    Responses

    OK

    application/json

    GetContributorWorkAssociationsResponse

    Paginated response containing contributor work associations

    GET/contributor-work-associations/by-contributor
    1 2 3 curl --request GET \ --url 'https://api.atlassian.com/ex/capacity-planning/{cloudId}/v1/contributor-work-associations/by-contributor?contributorDataId=ari%3Acloud%3Aidentity%3A%3Auser%2F12345' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 { "associations": [ { "contributorDataId": "ari:cloud:identity::user/12345", "createdAt": "<string>", "updatedAt": "<string>", "workDataId": "ari:cloud:jira:cloud-id:issue/10001" } ], "pageInfo": { "endCursor": "<string>", "hasNextPage": true, "hasPreviousPage": true, "startCursor": "<string>" } }
    GET

    Get contributor associations for a work itemPreview

    Retrieves contributors associated with a specific work item, with cursor-based pagination. Use first/after for forward pagination or last/before for backward pagination.

    Forge and OAuth2 apps cannot access this REST resource.

    Request

    Query parameters

    workDataId

    string

    Required
    first

    integer

    after

    string

    last

    integer

    before

    string

    Responses

    OK

    application/json

    GetContributorWorkAssociationsResponse

    Paginated response containing contributor work associations

    GET/contributor-work-associations/by-work
    1 2 3 curl --request GET \ --url 'https://api.atlassian.com/ex/capacity-planning/{cloudId}/v1/contributor-work-associations/by-work?workDataId=ari%3Acloud%3Ajira%3Acloud-id%3Aissue%2F10001' \ --header 'Accept: application/json'
    200Response
    1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 { "associations": [ { "contributorDataId": "ari:cloud:identity::user/12345", "createdAt": "<string>", "updatedAt": "<string>", "workDataId": "ari:cloud:jira:cloud-id:issue/10001" } ], "pageInfo": { "endCursor": "<string>", "hasNextPage": true, "hasPreviousPage": true, "startCursor": "<string>" } }
    POST

    Delete contributor work associationsPreview

    Deletes associations between contributors and work items.

    Forge and OAuth2 apps cannot access this REST resource.

    Request

    Request bodyapplication/json

    associations

    array<ContributorWorkPairDto>

    Required

    Responses

    OK

    application/json

    DeleteContributorWorkAssociationsResponse

    Response containing the composite keys of deleted contributor work associations

    POST/contributor-work-associations:delete
    1 2 3 4 5 6 7 8 9 10 11 12 curl --request POST \ --url 'https://api.atlassian.com/ex/capacity-planning/{cloudId}/v1/contributor-work-associations:delete' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "associations": [ { "contributorDataId": "ari:cloud:identity::user/12345", "workDataId": "ari:cloud:jira:cloud-id:issue/10001" } ] }'
    200Response
    1 2 3 4 5 6 7 8 { "deleted": [ { "contributorDataId": "ari:cloud:identity::user/12345", "workDataId": "ari:cloud:jira:cloud-id:issue/10001" } ] }

    Rate this page: